proc report data=sashelp.SNACKS(where=(date>"30Aug2004"d) obs=20) 
split='#';label price="Price";
column  Product  date  ("Sales Details" QtySold Price Holiday Advertised);
define Product/order "Product#Name" noprint;
define Holiday/display "Holiday#(1=yes)";
define Advertised/display "Advertised#(1=yes)";
define date/display "Date# of sale" format=WEEKDATE17.;
define QtySold/"Quantity#Sold";
compute QtySold;if QtySold.sum>0 then 
call define (_row_,'style','style={background=yellow}');endcomp;
compute Holiday; if QtySold.sum>0 and holiday=1 then 
call define (_COL_,'style','style={background=green font_weight=bold}');endcomp;
compute Advertised; if QtySold.sum>0 and Advertised=1 then 
call define (_COL_,'style','style={background=red font_style=italic}');endcomp;
run;

