proc report data=sashelp.SNACKS(where=(date>"30Aug2004"d) obs=5) 
split='#';label price="Price";
column ("Product" Product Short_Name) date  
("Sales Details" QtySold Price Sales Holiday Advertised);
define Product/order "Product#Name";
define Holiday/display "Holiday#(1=yes)";
define Advertised/display "Advertised#(1=yes)";
define date/display "Date# of sale" format=WEEKDATE17.;
define QtySold/ "Quantity#Sold";

define sales/computed f=dollar20.2;
compute sales;sales=qtysold.sum*price.sum;endcomp;
define short_name/computed 'Short#Name' ;
compute short_name/character; short_name=substr(scan(product,1),1,1)||
substr(scan(product,2),1,1)||substr(scan(product,3),1,1);endcomp;
run;



